@import './../../assets/styles/variables';
$tableWidth: 1200;
.calendar-page {

  .table-wrapper {
    // overflow: scroll;

    &::-webkit-scrollbar {
      top: 37px;
      height: 10px;
      width: 10px;
      background-color: #E2E5EB;
    }

    &::-webkit-scrollbar-thumb {
      background-color: #B1B4C1;
      border-radius: 10px;
    }
    .table {
      display: table;

      .header-table {
        background-color: #FAFAFA;
      }

      .table-row {
        background-color: white;

        height: 42px;
        color: #5D697B;
        font-size: $default-font-size-minus-1;
        font-weight: normal;
        line-height: 19px;
        .col1 {
          min-width: 65px;
          width: 65/1200*100%;
        }
        .col2 {
          min-width: 75px;
          width: 75/1200*100%;

        }
        .col3 {
          min-width: 117px;
          width: 117/1200*100%;

        }
        .col4 {
          min-width: 130px;
          width: 130/1200*100%;

        }
        .col5 {
          min-width: 220px;
          width: 220/1200*100%;

          padding-left: 6px;
        }
        .col6 {
          min-width: 155px;
        }
        .col7 {
          min-width: 256px;
          padding-left: 6px;

        }
        .col8 {
          min-width: 230px;
          width: 230/1200*100%;
        }

        .private-user {
          position: absolute;
          top: 0;
          right: 0;
          height: 12px;
          text-align: center;
          width: 12px;
          color: #FFFFFF;
          font-size: $default-font-size-minus-5;
          font-weight: 600;
          line-height: 12px;
          background-color: #9575CD;
        }

        .new-user {
          position: absolute;
          bottom: 0;
          right: 0;
          height: 12px;
          text-align: center;
          width: 12px;
          background-color: #00BE2C;
          color: #FFFFFF;
          font-size: $default-font-size-minus-5;
          font-weight: 600;
          line-height: 12px;
        }
        .notes-style {
          padding-left: 6px;
          font-size: $default-font-size;
          font-style: italic;
          line-height: 18px;
          white-space: initial;
        }
        &__cell {
          position: relative;
          border: 1px solid #DBDFEA;
          padding: 0;

          &--text {
            display: flex;
            align-items: center;
            height: 100%;
          }
        }

        &:hover {
          background-color: rgba(130, 119, 23, 0.07);
        }
      }

      .Select {
        width: 100%;
        padding: 5px;
      }

      .just-center {
        justify-content: center;
      }

    }

  }

  .patient-search {
    padding-left: 22px;
    padding-right: 22px;
    margin-bottom: 15px;

    &__wrapper {
      border-bottom: 1px solid #8A92A8;
      display: flex;
      justify-content: space-between;
      align-items: center;
    }

    &--input {
      color: #8D97B1;

      font-size: $default-font-size + 1;
      width: 100%;
      font-weight: 600;
      line-height: 36px;
      &:focus {
        outline: none;
      }
    }
    &--icon {
      color: #768599;
    }
  }

  .list-appointments {
    padding-left: 22px;
    display: flex;
    flex-direction: column;
    color: #8C97B2;

    font-size: $default-font-size-plus-1;
    line-height: 19px;
    &--row {
      display: flex;
      margin-bottom: 15px;
      flex-direction: row;
      align-items: center;
    }
  }

  /*react animation start*/
  .staffCheckbox-enter {
    max-height: 0px;
    -webkit-transition: max-height 1s ease;
    overflow: hidden;
  }

  .staffCheckbox-enter.staffCheckbox-enter-active {
    height: auto;
    max-height: 100px;
  }

  .staffCheckbox-leave {
    max-height: 100px;
    -webkit-transition: max-height 1s ease;
  }

  .staffCheckbox-leave.staffCheckbox-leave-active {
    overflow: hidden;
    max-height: 0px;
  }

  .header-agenda {

    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
    .nav-button {
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 10px 15px;
      height: 36px;
      border: 1px solid #B5BDCF;
      border-radius: 4px;
      background: linear-gradient(0deg, #FFFFFF 0%, #FFFFFF 100%);
      &--active {
        background-color: #3E7DBC;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 10px 15px;
        height: 36px;
        border: 1px solid #B5BDCF;
        border-radius: 4px;
        color: white;
      }
    }
    .navigation {
      display: flex;
      color: #596372;

      font-size: $default-font-size-minus-1;
      font-weight: 600;
      line-height: 17px;
      align-items: center;
      justify-content: space-between;
      .icon-nav {
        display: flex;
        align-items: center;
        justify-content: center;
        margin-right: 15px;
        height: 36px;
        width: 36px;
        border: 1px solid #B5BDCF;
        border-radius: 4px;
        background: linear-gradient(0deg, #FFFFFF 0%, #FFFFFF 100%);
      }
      .divider {
        height: 100%;
        width: 1px;
        margin: 0 15px;
        background-color: #CED0DA;
      }

    }
  }

  /* background types*/
  .AWAITING {
    background: url("../../assets/backgrounds/circles.png") repeat;
  }

  .patient {
    margin-right: 5px;;
  }
  .NO_SHOW, .CANCELLED {
    background: url("../../assets/backgrounds/cancell_rom.png") repeat;
    text-decoration: line-through;

    .patient {
      position: relative;
      display: inline-block;
      &::before {
        content: '';
        border: 1px solid grey;
        width: 100%;
        position: absolute;
        right: 0;
        top: 51%;
      }
    }

  }

  .LANUCH_TIME {
    background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAIklEQVQoU2NkIBIwEqmOgT4KjRkYGM6iO4k+VmMNCOpbDQDpNQELGXR+NgAAAABJRU5ErkJggg==) repeat;
  }

  .RE_SCHEDULED {
    background: url('../../assets/backgrounds/reschedule.png') repeat;
  }
}
/* end background types*/


/*Big calendar begin*/
.rbc-time-view .rbc-row {
  min-height: 0px;
}
.rbc-btn-group {
  background-color: #FFFFFF;
  border-radius: 4px;

  button {
    height: 36px;
    border: 1px solid #B5BDCF;
  }
  button:active:hover,
  button.rbc-active:hover,
  button:active:focus {
    background-color: #FFFFFF;
  }
  button.rbc-active,
  button.rbc-active:focus {
    background-color: #DADEE6;
    box-shadow: none;
    border-color: none;
    color: #FFFFFF;
  }
}
.rbc-time-view .rbc-row div:nth-child(1) {
  height: 0px !important;
  visibility: hidden;
}
.rbc-time-view,
.rbc-month-view {
  border-radius: 4px;
  background-color: #FFFFFF;

}
.rbc-day-slot .rbc-time-slot {
  border: none;
}
/*Big calendar ends*/
